Einführung

Einführung

Mit Hilfe dieses Werkzeugs können PCAN-Netze eingerichtet und konfiguriert werden. Diese werden von PCAN-Programmen verwendet, um eine Verbindung zu einer PCAN-Hardware herzustellen und mit einem physikalischen CAN-Bus zu kommunizieren.

In der von PCAN Nets Configuration dargestellten Baumstruktur wird die eingerichtete Hardware und deren zugehörigen Netze angezeigt.

Immer vorhanden ist die virtuelle Hardware "Intern". Auf ihr können interne Netze definiert werden, die hauptsächlich während der Entwicklung von PCAN-Programmen (Clients) von Nutzen sind um "echte" CAN-Busse zu simulieren. Weiterhin werden auf ihr aber auch externe Netze "geparkt", falls deren zugehörige Hardware zeitweilig entfernt worden ist.

Netze können einfach mit der Maus durch Drag-and-Drop von einer Hardware zur anderen bewegt werden.

Verwendung dieser Online-Hilfe

Ein Hilfe-Fenster wird anzeigt, wenn Sie die Schaltfläche Hilfe in einem Dialogfenster anklicken, und die kontextbezogene Hilfe erscheint für das jeweilige Dialogfenster. In jedem Fenster von PCAN Nets Configuration können Sie auch F1 auf der Tastatur drücken, um ein Hilfethema für das Fenster oder die aktuelle Registerseite anzuzeigen.

Sie können auch die Registerseiten Inhalt und Suchen auf der linken Seite des Hilfe-Fensters verwenden, um ein spezielles Hilfethema zu finden. Wenn Sie eine Suche durchführen, werden die Ergebnisse nach dem Titel der Themen sortiert angezeigt.

Wie kann man...

  • Konfigurieren von PCAN-Netzen

Siehe auch

PCAN-System Grundlagen

Kontakt-Information / Copyright

Feedback senden | Copyright © 2022 PEAK-System Technik GmbH. Alle Rechte vorbehalten.


PCAN-System Grundlagen

PCAN steht für PEAK CAN APPLICATIONS und ist ein flexibles System zur Planung, Entwicklung und Benutzung von CAN-Netzen. Es ist sowohl für den Entwickler als auch für den Endbenutzer ein hilfreiches und mächtiges Produkt.

Basis für die Kommunikation zwischen PCs und externer Hardware über CAN sind eine Reihe von Windows Kernel Mode Gerätetreiber, z.B. PCAN_USB.SYS, PCAN_PCI.SYS, PCAN_xxx.SYS. Diese Treiber bilden den Kern einer kompletten CAN-Umgebung auf einem PC mit Windows als Betriebssystem, und arbeiten als Schnittstellen zwischen CAN-Software und PC-basierter CAN-Hardware. Die Treiber verwalten den ganzen Datenverkehr jedes an den PC angeschlossenen CAN-Geräts.

Benutzern oder Administratoren einer CAN-Installation wird der Zugriff auf das Netzwerk mittels PCAN-Client-Programmen ermöglicht (kurz: Client). Mit ihrer Hilfe können Prozessgrößen visualisiert und beeinflusst werden. Die Treiber ermöglichen die Verbindung von mehreren Clients zur selben Zeit.

Weiterhin werden von einem PCAN-Treiber mehrere Hardware-Komponenten unterstützt, die auf dem CAN-Controller SJA1000 basieren. So genannte Netze stellen die logische Struktur für CAN-Busse zur Verfügung, die virtuell in den PC hinein verlängert sind. Auf der Hardware-Seite können ebenfalls mehrere Clients verbunden sein. Die folgende Grafik zeigt die verschiedenen Möglichkeiten von Netzkonfigurationen (die auch alle zur selben Zeit realisiert werde können):

Merkmale des PCAN-Systems

  • Ein Client kann an mehrere Netze angeschlossen sein

  • Ein Netz versorgt mehrere Clients

  • Eine Hardware gehört zu maximal einem Netz

  • Einem Netz ist keine oder genau eine Hardware zugeordnet

  • Sendet ein Client, wird die Botschaft an alle anderen verbundenen Clients weitergegeben, und über eine verbundene CAN-Hardware auf den externen CAN-Bus

  • Wird eine Botschaft über die CAN-Hardware empfangen, wird sie an alle verbundenen Clients weitergegeben. Jeder Client empfängt aber nur die Botschaften, die seinen Akzeptanzfilter passieren.

  • Jeder Client hat eine Sende-Queue, in der zu sendende CAN-Botschaften bis zu ihrem Sendezeitpunkt warten. Beim Erreichen des Sendezeitpunktes werden sie in die Sende-Queue der PCAN-Hardware geschrieben.

  • Jeder Client hat eine Empfangs-Queue, die empfangene Botschaften puffert.

  • Jede Hardware hat eine Sende-Queue, um zu sendende CAN-Botschaften zu puffern.


Kontakt-Information / Copyright

PCAN Nets Configuration ist ein Produkt von:

PEAK-System Technik GmbH

Otto-Röhm-Strasse 69
64293 Darmstadt
Deutschland

Info: | info@peak-system.com
Support: | support@peak-system.com
Web: | www.peak-system.com

Copyright © 2022 PEAK-System Technik GmbH. Alle Rechte vorbehalten.

Windows® ist ein eingetragenes Warenzeichen von Microsoft in den Vereinigten Staten von Amerika und anderen Ländern. Alle in dieser Dokumentation erwähnten anderen Produktnamen können Warenzeichen oder registrierte Warenzeichen ihrer entsprechenden Hersteller sein. Weiterhin werden "™" und "®" nicht in jedem Fall in dieser Dokumentation angegeben.

Kein Teil dieses Hilfetextes darf in irgendeiner Form ohne schriftliche Genehmigung der Firma PEAK-System Technik GmbH unter Einsatz entsprechender Systeme reproduziert, verarbeitet, vervielfältigt oder verbreitet werden.

Letzte Aktualisierung: 10.02.2022

Feedback senden | Copyright © 2022 PEAK-System Technik GmbH. Alle Rechte vorbehalten.


Konfigurieren von PCAN-Netzen

PCAN-Netze ermöglichen die Verbindung eines PCAN-Programmes (Client) mit der PCAN-Hardware. Es können verschiedene Netze definiert werden, um z.B. die installierte Hardware mit unterschiedlichen Bitraten zu betreiben. Die Definition bzw. Konfiguration von Netzen erfolgt mit Hilfe des Werkzeugs PCAN Nets Configuration.

Erstellen neuer Netze

Bevor Sie das Programm PCAN Nets Configuration starten, sollten Sie alle anderen PCAN-Programme beenden.

So erstellen Sie ein neues Netz:

  1. Klicken Sie in der Baumstruktur auf den Eintrag mit der Hardware, für die ein neues Netz erstellt werden soll.

  2. Führen Sie im Menü Bearbeiten den Befehl Neues Netz aus, oder drücken Sie die entsprechenden Schaltfläche in der Knopfleiste. Es wird ein Dialogfenster zur Eingabe der Netzeigenschaften angezeigt.

  3. Geben Sie im Feld Name den Namen des neuen Netzes ein.

  4. Auf der Registerseite CAN-Setup wählen Sie im Feld Modus den Betriebsmodus, in dem die Hardware arbeiten soll (SJA1000 / CAN / CAN FD).

  5. Geben Sie die gewünschte Übertragungsrate und den Sample-Punkt ein oder wählen Sie eine der vordefinierten Bitraten in der Dropdown-Liste Datenbank-Eintrag aus.
    In den CAN-FD-Modi können Sie in der Dropdown-Liste Bitraten-Preset einen der vordefinierten Presets auswählen. Presets sind aufeinander abgestimmte Kombinationen aus Nominal- und Datenbitrate. Sie können dort auch den Eintrag Keiner auswählen, wodurch Sie die Möglichkeit haben, beliebige Nominal- und Datenbitraten einzugeben oder vordefinierte Bitraten aus den jeweiligen Dropdown-Listen auszuwählen.

  6. Drücken Sie OK. Das neue Netz erscheint jetzt als neuer Zweig der ausgewählten Hardware.

  7. Führen Sie im Menü Datei den Befehl Speichern aus, oder drücken Sie den entsprechenden Knopf in der Knopfleiste. Das neue Netz kann ab jetzt von PCAN-Programmen verwendet werden.

Bearbeiten von Netzen

Sie können ein vorhandenes Netz nur verändern, wenn kein Client mit dem Netz verbunden ist. Ist ein Netz momentan von verbundenen Clients gesperrt, wird dies durch ein Schloss-Symbol hinter dem Netznamen angezeigt.

So bearbeiten Sie ein vorhandenes Netz:

  1. Klicken Sie in der Baumstruktur auf das Netz, das bearbeitet werden soll.

  2. Führen Sie im Menü Bearbeiten den Befehl Eigenschaften aus. Es wird ein Dialogfenster zum Ändern der Netzeigenschaften angezeigt.

  3. Ändern Sie die Netzeigenschaften wie gewünscht.

  4. Drücken Sie OK.

  5. Führen Sie im Menü Datei den Befehl Speichern aus. Die durchgeführten Veränderungen werden jetzt wirksam.

Löschen von Netzen

Löschen von Netzen ist wie das Bearbeiten nur möglich, wenn kein Client mit dem Netz verbunden ist.

So löschen Sie ein Netz:

  1. Klicken Sie in der Baumstruktur auf das Netz, das gelöscht werden soll.

  2. Führen Sie im Menü Bearbeiten den Befehl Netz löschen aus.

  3. Bestätigen Sie im angezeigten Meldungsfenster das Löschen durch Drücken von Ja. Das Netz wird gelöscht und ist in der Baumstruktur nicht mehr sichtbar.

  4. Führen Sie im Menü Datei den Befehl Speichern aus. Die durchgeführte Veränderung wird jetzt wirksam.

Siehe auch

PCAN-System Grundlagen

Feedback senden | Copyright © 2022 PEAK-System Technik GmbH. Alle Rechte vorbehalten.


PCAN Nets Configuration-Befehle

Folgende Befehle sind in PCAN Nets Configuration über dessen Menüs oder Symbolleiste verfügbar:

Menübefehl | Symbol | Beschreibung
Datei | Speichern |  | Sichert alle Änderungen und macht sie im PCAN-System wirksam.
Datei | Einstellungen |  | Enthält Untermenüs zur Auswahl der Sprache und des Stils der Benutzeroberfläche.
Datei | Beenden |  | Beendet das Programm.
Bearbeiten | Neues Netz |  | Erzeugt ein neues Netz. Dieser Befehl ist nur verfügbar, wenn eine Hardware ausgewählt ist, und der Benutzer Schreibrechte auf dem Registry-Schlüssel der Hardware besitzt.
Bearbeiten | Netz löschen |  | Löscht ein vorhandenes Netz. Dieser Befehl ist nur verfügbar, wenn ein Netz ausgewählt ist, und der Benutzer Schreibrechte auf dem Registry-Schlüssel der Hardware besitzt.
Bearbeiten | Eigenschaften |  | Zeigt die Eigenschaften eines Netzes an.
Ansicht | Handles |  | Zeigt eine Spalte mit Netz- und Hardware-Handles an.
Ansicht | Kopplung |  | Zeigt eine Spalte an, die Auskunft darüber gibt, ob ein Netz an eine bestimmtes Attribut gekoppelt ist, z.B. an ein Hardware-Handle oder eine Geräte-ID.
Ansicht | Hexadezimale Geräte-IDs |  | Steuert, ob Geräte-IDs in der Info-Spalte dezimal oder hexadezimal angezeigt werden.
Ansicht | Aktualisieren |  | Aktualisiert den Objektbaum.
Hilfe | Inhalt |  | Zeigt das Inhaltsverzeichnis der Online-Hilfe an.
Hilfe | Über... |  | Zeigt Informationen über das Programm, Version und Copyright an.

Siehe auch

Konfigurieren von PCAN-Netzen

Feedback senden | Copyright © 2022 PEAK-System Technik GmbH. Alle Rechte vorbehalten.


Netz-Eigenschaften-Dialogfenster

Das Netz-Eigenschaften-Dialogfenster dient zum Bearbeiten der Netzparameter.

Name

Der Name des Netzes. Die maximale Länge von Netznamen beträgt 20 Zeichen.

CAN-Setup

Modus

Je nach verwendeter PCAN-Hardware stehen verschiedene Betriebsmodi für die Hardware zur Auswahl. Für ältere PCAN-Hardware, die nicht kompatibel zu CAN FD ist, steht lediglich der Modus CAN (SJA1000) zur Auswahl. Für neuere, zu CAN FD kompatible PCAN-Hardware können neben einem komfortableren CAN-Modus noch verschiedene CAN-FD-Betriebsmodi ausgewählt werden.

Modus

Beschreibung

CAN (SJA1000)

Konfiguriert eine PCAN-Hardware über Auswahl der beiden Werte für die Bus-Timing-Register BTR0 und BTR1 des SJA1000 CAN-Controllers für das CAN 2.0B-Protokoll. Das Bus Timing bezieht sich hier immer auf eine Clock-Frequenz von 8 MHz.

Netze, die mit diesem Modus definiert wurden, können auch für neuere CAN-FD-kompatible PCAN-Hardware verwendet werden, die nicht mehr auf einem SJA1000 CAN-Controller basieren. Da der CAN-Controller einer CAN-FD-kompatiblen Hardware nur Clock-Frequenzen von 20 MHz oder höher erlaubt, werden die Bitraten-Parameter entsprechend umgerechnet, um das gewünschte Bit-Timing zu erhalten.

CAN

Konfiguriert eine PCAN-Hardware für die Verwendung des CAN-2.0B-Protokolls.

CAN FD

Konfiguriert eine PCAN-Hardware für die Verwendung des CAN-FD-Protokolls. Ob die Hardware gemäß des ISO-Standards 11898-1:2015 oder gemäß dem originalen Bosch-CAN-FD-Protokoll, das nicht konform zum ISO-Standard ist, hängt von der Konfiguration des ISO-Modus in der PCAN-Hardware selbst ab.

ISO CAN FD

Konfiguriert eine PCAN-Hardware für die Verwendung des CAN-FD-Protokolls gemäß des ISO-Standards 11898-1:2015.

Non-ISO CAN FD

Konfiguriert eine PCAN-Hardware für die Verwendung des CAN-FD-Protokolls gemäß des originalen Bosch-CAN-FD-Protokolls, das nicht konform zum ISO-Standard ist.

Modus: CAN (SJA1000)

Nach Auswahl des Modus CAN (SJA1000) stehen folgende Auswahl- und Eingabefelder zur Verfügung:

Clock-Frequenz

Das Bit Timing für SJA1000-Bitraten wird immer basierend auf 8 MHz berechnet, deshalb kann die Clock-Frequenz in diesem Modus nicht verändert werden.

Datenbank-Eintrag

Ermöglich die schnelle Auswahl eine der Bitraten, die in der Datenbank hinterlegt sind. Vordefinierte Bitraten sind mit einem gelben Stern [image] gekennzeichnet, und benutzerspezifische Bitraten mit einem Benutzer-Symbol [image].

(Bitraten verwalten)

Über diese Schaltfläche können Sie ein Dialogfenster anzeigen, mit dessen Hilfe Sie eigene Bitraten definieren oder die vorhandenen Bitraten anpassen können.

Bitrate

Hier können Sie die Bitrate in kbit/s eingeben, die Sie verwenden möchten. Ist die genaue Bitrate nicht möglich, wird beim Verlassen des Feldes eine entsprechende Meldung angezeigt und die nächstmögliche Bitrate vorgeschlagen.

Bus Timing Register 0

Ermöglicht die direkt Eingabe eines Wertes für das BTR0-Register des SJA1000 CAN-Controllers. Weitere Informationen zum Bus Timing Register 0 finden Sie im Datenblatt Philips SJA1000 Stand-alone CAN controller, Kapitel 6.5.1.

Bus Timing Register 1

Ermöglicht die direkt Eingabe eines Wertes für das BTR1-Register des SJA1000 CAN-Controllers. Weitere Informationen zum Bus Timing Register 1 finden Sie im Datenblatt Philips SJA1000 Stand-alone CAN controller, Kapitel 6.5.2.

Prescaler

Dieses Feld dient nur zur Information und zeigt den aktuellen Prescaler-Wert (1-64) an, der aus den Bits 0 bis 5 des Bus Timing Register 0 extrahiert wurde.

Anzahl Samples

Ermöglicht die Auswahl von entweder 1 oder 3 Samples, was den Wert des SAM-Bits im BTR1-Register bestimmt. Weitere Informationen hierzu finden Sie im Datenblatt Philips SJA1000 Stand-alone CAN controller, Kapitel 6.5.2.1.

(Parameter-Tabelle)

Die Tabelle im unteren Bereich des Dialogfensters zeigt alle möglichen Kombinationen von BTR0 und BTR1 an, die zu der gewünschten Bitrate führen und einen Sample-Punkt von mindestens 50% bewirken.

Modus: CAN

Nach Auswahl des Modus CAN stehen folgende Auswahl- und Eingabefelder zur Verfügung:

Clock-Frequenz

Ermöglicht die Auswahl einer der Clock-Frequenzen 20, 24, 30, 40, 60 und 80 MHz, die als Basis der Berechnung des Bit Timings des CAN-Busses dienen soll.

Datenbank-Eintrag

Ermöglich die schnelle Auswahl einer der Bitraten, die in der Datenbank hinterlegt sind. Vordefinierte Bitraten sind mit einem gelben Stern [image] gekennzeichnet, und benutzerspezifische Bitraten mit einem Benutzer-Symbol [image].

(Bitraten verwalten)

Über diese Schaltflächen können Sie ein Dialogfenster anzeigen, mit dessen Hilfe Sie eigene Bitraten definieren oder die vorhandenen Bitraten anpassen können.

Bitrate

Hier können Sie die Bitrate in kbit/s eingeben, die Sie verwenden möchten. Ist die genaue Bitrate nicht möglich, wird beim Verlassen des Feldes eine entsprechende Meldung angezeigt und die nächstmögliche Bitrate vorgeschlagen.

Sample-Punkt

Hier können Sie den gewünschten Sample-Punkt in Prozent eingeben. Ist der genaue Sample-Punkt nicht möglich, wird beim Verlassen des Feldes eine entsprechende Meldung angezeigt und der nächstmögliche Sample-Punkt vorgeschlagen.

... (Bit Timing Konfiguration)

Öffnet ein Dialogfenster, das passend zur gewählten Bitrate verschiedene Parameter-Kombinationen zur Auswahl anbietet, die zur selben Bitrate führen aber eventuell abweichende Sample-Punkte bewirken.

(Parameter in Zwischenablage kopieren)

Kopiert die Parameter der momentan ausgewählten Bitrate als Text in die Zwischenablage.

Prescaler

Dieses Feld dient nur zur Information und zeigt den Wert des Prescalers (1-1024) für die aktuell gewählte Bitrate an.

Modus: CAN FD

Betrifft ebenfalls die Modi ISO CAN FD und Non-ISO CAN FD. Nach Auswahl einer der CAN-FD-Modi stehen folgende Auswahl- und Eingabefelder zur Verfügung:

Clock-Frequenz

Ermöglicht eine Auswahl zwischen den Clock-Frequenzen 20, 24, 30, 40, 60 und 80 MHz.

Bitraten-Preset

Bietet verschiedene Bitraten-Presets zur Auswahl. Bitraten-Presets sind Kombinationen aus Nominal- und Daten-Bitraten für CAN FD. Falls Sie ein Preset auswählen, werden die damit verbundenen Bitraten in den beiden Dropdownlisten für Nominal-Bitrate und Daten-Bitrate angezeigt, und die Listen für die manuelle Auswahl gesperrt.

(Bitraten verwalten)

Über diese Schaltflächen können Sie ein Dialogfenster anzeigen, mit dessen Hilfe Sie eigene Bitraten und Presets definieren oder die vorhandenen Bitraten und Presets anpassen können.

Nominal-Bitrate

Diese Gruppe bietet Einstellungen bezüglich des Nominal-Teils einer CAN-FD-Bitrate.

Datenbank-Eintrag

Ermöglich die schnelle Auswahl einer der Nominal-Bitraten, die in der Datenbank hinterlegt sind. Vordefinierte Bitraten sind mit einem gelben Stern [image] gekennzeichnet, und benutzerspezifische Bitraten mit einem Benutzer-Symbol [image].

Bitrate

Hier können Sie die Nominal-Bitrate in kbit/s eingeben, die Sie verwenden möchten. Ist die genaue Bitrate nicht möglich, wird beim Verlassen des Feldes eine entsprechende Meldung angezeigt und die nächstmögliche Bitrate vorgeschlagen.

Sample-Punkt

Hier können Sie den gewünschten Sample-Punkt für die Nominal-Bitrate in Prozent eingeben. Ist der genaue Sample-Punkt nicht möglich, wird beim Verlassen des Feldes eine entsprechende Meldung angezeigt und der nächstmögliche Sample-Punkt vorgeschlagen.

... (Bit Timing Konfiguration)

Öffnet ein Dialogfenster, das passend zur gewählten Nominal-Bitrate verschiedene Parameter-Kombinationen zur Auswahl anbietet, die zur selben Bitrate führen aber eventuell abweichende Sample-Punkte bewirken.

(Parameter in Zwischenablage kopieren)

Kopiert die Parameter der momentan ausgewählten Nominal- und Daten-Bitraten als Text in die Zwischenablage.

Prescaler

Dieses Feld dient nur zur Information und zeigt den Wert des Prescalers (1-1024) für die aktuell gewählte Nominal-Bitrate an. Bitte beachten Sie, dass für CAN FD die Werte der Prescaler für Nominal- und Daten-Bitrate identisch sein sollten, um einen störungsfreien Betrieb zu gewährleisten.

Daten-Bitrate

Diese Gruppe bietet Einstellungen bezüglich der Daten-Teils einer CAN-FD-Bitrate. Die hier ausgewählte Bitrate wird verwendet, um die Datenfelder eines CAN-FD-Frames mit einer höheren Bitrate zu übermitteln. Die höhere Bitrate wird auf solche CAN-FD-Frames angewendet, bei denen das Flag "Bit Rate Switch" gesetzt ist.

Daten-Bitrate

Die Option zum Deaktivieren der Einstellungen für die Datenbitrate ist nur aus Gründen der Abwärtskompatibilität vorhanden.

Deaktiveren der Daten-Bitrate bewirkt die Verwendung der Parameter der Nominal-Bitrate ebenfalls für die Daten-Bitrate, was nicht empfohlen ist. Einzelne Parameterwerte der Nominal-Bitrate könnten außerhalb des erlaubten Wertebereichs der entsprechenden Parameter der Daten-Bitrate liegen, wodurch die Initialisierung des CAN Controllers fehlschlagen wird.

Datenbank-Eintrag

Ermöglich die schnelle Auswahl einer der Daten-Bitraten, die in der Datenbank hinterlegt sind. Vordefinierte Bitraten sind mit einem gelben Stern [image] gekennzeichnet, und benutzerspezifische Bitraten mit einem Benutzer-Symbol [image].

Bitrate

Hier können Sie die Daten-Bitrate in kbit/s eingeben, die Sie verwenden möchten. Ist die genaue Bitrate nicht möglich, wird beim Verlassen des Feldes eine entsprechende Meldung angezeigt und die nächstmögliche Bitrate vorgeschlagen.

Sample-Punkt

Hier können Sie den gewünschten Sample-Punkt für die Daten-Bitrate in Prozent eingeben. Ist der genaue Sample-Punkt nicht möglich, wird beim Verlassen des Feldes eine entsprechende Meldung angezeigt und der nächstmögliche Sample-Punkt vorgeschlagen.

... (Bit Timing Konfiguration)

Öffnet ein Dialogfenster, das passend zur gewählten Daten-Bitrate verschiedene Parameter-Kombinationen zur Auswahl anbietet, die zur selben Bitrate führen aber eventuell abweichende Sample-Punkte bewirken.

(Parameter in Zwischenablage kopieren)

Kopiert die Parameter der momentan ausgewählten Nominal- und Daten-Bitraten als Text in die Zwischenablage.

Prescaler

Dieses Feld dient nur zur Information und zeigt den Wert des Prescalers (1-1024) für die aktuell gewählte Daten-Bitrate an. Bitte beachten Sie, dass für CAN FD die Werte der Prescaler für Nominal- und Daten-Bitrate identisch sein sollten, um einen störungsfreien Betrieb zu gewährleisten.

Kopplung

Diese Einstellungen koppeln ein Netz an eine PCAN-Hardware mit einer bestimmten Geräte-ID. Ist ein Netz an eine Geräte-ID gekoppelt, bleibt das Netz solange auf dem Knoten Intern, bis eine PCAN-Hardware eingesteckt wird, welche die passende Geräte-ID besitzt.
Diese Registerseite ist nur dann sichtbar, wenn ein Netz für eine PCAN-Hardware erstellt wird, die das Setzen einer Geräte-ID unterstützt. Um die Geräte-ID einer PCAN-Hardware zu setzen, verwenden Sie die PEAK-Hardware Systemsteuerung, oder die neuere PEAK-Einstellungen-Anwendung, falls verfügbar.

Wird ein Netz nicht an eine Geräte-ID gekoppelt, wird es an das interne Handle des jeweiligen Hardware-Kanals gekoppelt. Hardware-Handles werden für Plug-and-Play Hardware automatisch bestimmt und hängen von der Reihenfolge des Einsteckens bzw. der Erkennungsreihenfolge beim Systemstart ab, so dass nicht gewährleistet ist, das ein Netz immer derselben Hardware zugeordnet wird.

An Geräte-ID koppeln

Ist diese Option aktiviert, wird das Netz nur dann mit einer PCAN-Hardware verbunden, wenn die eingesteckte Hardware die korrekte Geräte-ID besitzt. Andernfalls bleibt das Netz auf dem Knoten Intern.

Geräte-ID

Legt die Geräte-ID fest, an die das Netz gekoppelt wird.

Kanal

Wählt bei mehrkanaliger PCAN-Hardware den Kanal aus, an den das Netz gekoppelt wird.

RP1210

Die folgenden Felder sind nur verfügbar, wenn eine PEAK RP1210A-DLL sowie eine gültige RP1210-Lizenz installiert sind.

Für RP1210A verwenden

Wählt das Netz als eines der Netze, über das die RP1210A-API kommuniziert.

Kanal

Wählt den RP1210-Kanal, über den die RP1210A-API kommuniziert (0-128). Kanalnummern können pro Geräte-Art (PCI / USB / etc.) jeweils nur einmal zugewiesen werden.

Siehe auch

Konfigurieren von PCAN-Netzen

Bitraten verwalten-Dialogfenster

Feedback senden | Copyright © 2022 PEAK-System Technik GmbH. Alle Rechte vorbehalten.


Bitraten verwalten-Dialogfenster

Mit Hilfe des Bitraten verwalten-Dialogfensters können Sie sowohl die Parameter der vordefinierten Bitraten untersuchen, als auch eigene Bitraten definieren und Bitraten-Presets für CAN FD zusammenstellen. Bitraten-Presets sind Kombinationen aus Nominal- und Daten-Bitrate, die im Verbinden-Dialogfenster ausgewählt werden können, um möglichst einfach eine CAN-FD-Verbindung aufbauen zu können.

Um das Bitraten verwalten-Dialogfenster anzuzeigen, klicken Sie im Netz-Eigenschaften-Dialogfenster auf die Schaltfläche [image].

Vordefinierte Elemente in den verschiedenen Listen sind mit dem Symbol [image] gekennzeichnet, und benutzerdefinierte Elemente mit dem Symbol [image].

Sie können benutzerdefinierte Elemente in den Listen umbenennen, indem Sie mit der Maus auf den Namen des Elements klicken, bis sich der Bearbeitungsmodus aktiviert, oder Sie drücken die Taste [F2] wenn eine Liste den Eingabefokus besitzt.

Die Bitraten sind in drei Kategorien unterteilt, die über Registerkarten aufgerufen werden können.

Registerkarte | Beschreibung
CAN (SJA1000) | Konfiguriert Bitraten zur Verwendung mit PCAN-Hardware, die mit einem SJA1000 CAN-Controller für das CAN 2.0B-Protokoll ausgestattet sind. Das Bit Timing bezieht sich hier immer auf eine Clock-Frequenz von 8 MHz.
CAN | Konfiguriert Bitraten für das CAN-2.0B-Protokoll und zur Verwendung mit PCAN-Hardware, die Bit Timings basierend auf höheren Clock-Frequenzen als 8 MHz unterstützt. Solche PCAN-Hardware ist üblicherweise auch zum CAN-FD-Protokoll kompatibel.
CAN FD | Konfiguriert Bitraten zur Verwendung mit dem CAN-FD-Protokoll. CAN-FD-Bitraten bestehen aus einer Kombination aus Nominal- und Daten-Bitrate. Um die Verwendung solcher Bitraten-Kombinationen einfacher zu machen, können diese hier zu Bitraten-Presets kombiniert werden.

Registerkarte CAN (SJA1000)

Nach Auswahl der Registerkarte CAN (SJA1000) stehen folgende Auswahl- und Eingabefelder zur Verfügung:

Clock-Frequenz

Das Bit Timing von SJA1000-Bitraten basiert auf der Clock-Frequenz 8 MHz, deshalb gibt es hier keine weiteren Einträge zur Auswahl.

Bitrate

Diese Liste zeigt alle Bitraten in der Datenbank an, die auf der Clock-Frequenz 8 MHz basieren.

Um eine neue Bitrate zu erstellen, klicken Sie unterhalb der Liste auf die Schaltfläche [image]. Nun können Sie in der Tabelle im unteren Bereich des Dialogfensters in der Spalte Bitrate entweder die gewünschte Bitrate direkt eingeben, oder den 16-Bit BTR0/BTR1-Code, oder aber auch die einzelnen Parameter (Prescaler / TSEG1 / TSEG2 / SJW) manuell anpassen. Falls Sie einen Wert für die Bitrate eingeben, der nicht realisierbar ist, öffnet sich ein Hinweisfenster, das den errechneten nächstmöglichen Wert vorgeschlägt.

Weitere Informationen zu den Bus Timing Registern BTR0 und BTR1 finden Sie im Datenblatt Philips SJA1000 Stand-alone CAN controller, Kapitel 6.5.1 und 6.5.2.

Über die Schaltfläche [image] können Sie eine Auswahlliste mit möglichen Kombinationen von BTR0 und BTR1 öffnen, die alle zur selben Bitrate aber zu verschiedenen Sample-Punkten führen können.

Um eine Bitrate zu löschen, wählen Sie die Bitrate in der Liste aus und klicken Sie auf die Schaltfläche [image] unterhalb der Liste. Beachten Sie, dass nur benutzerdefinierte Bitraten gelöscht werden können.

Registerkarte CAN

Nach Auswahl der Registerkarte CAN stehen folgende Auswahl- und Eingabefelder zur Verfügung:

Clock-Frequenz

Wählt eine Clock-Frequenz aus, auf der das Bit Timing der Bitrate basieren soll. Nachdem Sie eine Clock-Frequenz ausgewählt haben, werden in der Liste Bitrate alle in der Datenbank vorhandenen Bitraten angezeigt, die auf der gewählten Clock-Frequenz basieren.

Bitrate

Diese Liste zeigt alle Bitraten in der Datenbank an, die auf der gewählten Clock-Frequenz basieren.

Um eine neue Bitrate zu erstellen, klicken Sie unterhalb der Liste auf die Schaltfläche [image]. Nun können Sie in der Tabelle im unteren Bereich des Dialogfensters in den Spalten Bitrate und Sample-Punkt die gewünschten Werte eingeben, oder auch die einzelnen Parameter (Prescaler / TSEG1 / TSEG2 / SJW) manuell anpassen. Falls Sie einen Wert für die Bitrate eingeben, der nicht realisierbar ist, öffnet sich ein Hinweisfenster, das den errechneten nächstmöglichen Wert vorgeschlägt.

Über die Schaltfläche [image] können Sie eine Auswahlliste mit möglichen Parameter-Kombinationen öffnen, die alle zur selben Bitrate aber zu verschiedenen Sample-Punkten führen können.

Um eine Bitrate zu löschen, wählen Sie die Bitrate in der Liste aus und klicken Sie auf die Schaltfläche [image] unterhalb der Liste. Beachten Sie, dass nur benutzerdefinierte Bitraten gelöscht werden können.

Registerkarte CAN FD

Nach Auswahl der Registerkarte CAN FD stehen folgende Auswahl- und Eingabefelder zur Verfügung:

Bitraten-Preset

Diese Liste enthält alle verfügbaren Bitraten-Presets. Wenn Sie einen Preset auswählen, werden die zugehörigen Nominal- und Daten-Bitraten in den entsprechenden Listen ausgewählt, und die Clock-Frequenz, auf der die Bitraten basieren, wird in der Liste Clock-Frequenz hervorgehoben.

Um einen neuen Preset zu erstellen, klicken Sie auf die Schaltfläche [image] unterhalb der Liste. Anschließend wählen Sie die Clock-Frequenz aus, die als Basis der Bitraten dient, und wählen Sie dann die gewünschte Nominal- und Daten-Bitrate für Ihren Preset.

Über das Kontextmenü (erreichbar über die rechte Maustaste) können Sie einen vorhandenen Preset in die Zwischenablage kopieren, oder einen Preset aus der Zwischenablage in die Liste einfügen.

Um einen Preset zu löschen, wählen Sie den Preset in der Liste aus und klicken Sie auf die Schaltfläche [image] unterhalb der Liste. Beachten Sie, dass nur benutzerdefinierte Presets gelöscht werden können.

Wenn Sie einen benutzerdefinierten Preset ausgewählt und eine seiner Bitraten verändert haben, wird ein Stern hinter dem Preset-Namen in der Liste angezeigt. Falls Sie die Änderungen unbeabsichtigt durchgeführt haben, können Sie entweder das Dialogfenster mit der Taste Abbrechen schließen um alle Änderungen zu verwerfen, oder Sie wählen im Kontextmenü für den Preset den Befehl Änderungen zurücknehmen.

Clock-Frequenz

Wählt eine Clock-Frequenz für einen Preset aus, deren zugehörige Bitraten werden dann in den entsprechenden Listen angezeigt.

Die Auswahl in der Liste kann nur dann verändert werden, wenn entweder ein benutzerdefinierter Preset oder der Eintrag Keiner in der Liste Bitraten-Preset ausgewählt ist.

Nominal-Bitrate

Diese Liste zeigt alle Nominal-Bitraten in der Datenbank an, die auf der gewählten Clock-Frequenz basieren.

Um eine neue Nominal-Bitraten zu erstellen, wählen Sie in der Liste Bitraten-Preset zunächst entweder den Eintrag Keiner, oder erstellen Sie einen benutzerdefinierten Preset. Anschließend klicken Sie auf die Schaltfläche [image] unterhalb der Liste. Nun können Sie in der Tabelle im unteren Bereich des Dialogfensters in der Zeile Nominal und in den Spalten Bitrate und Sample-Punkt die gewünschten Werte eingeben, oder auch die einzelnen Parameter (Prescaler / TSEG1 / TSEG2 / SJW) manuell anpassen. Falls Sie einen Wert für die Bitrate eingeben, der nicht realisierbar ist, öffnet sich ein Hinweisfenster, das den errechneten nächstmöglichen Wert vorgeschlägt.

Über die Schaltfläche [image] in der Zeile der Tabelle können Sie eine Auswahlliste mit möglichen Parameter-Kombinationen öffnen, die alle zur selben Nominal-Bitrate aber zu verschiedenen Sample-Punkten führen können.

Um eine Bitrate zu löschen, wählen Sie die Bitrate in der Liste aus und klicken Sie auf die Schaltfläche [image] unterhalb der Liste. Beachten Sie, dass nur benutzerdefinierte Bitraten gelöscht werden können.

Solange ein vordefinierter Preset ausgewählt ist, ist die Liste Nominal-Bitrate für die Auswahl und Bearbeitung gesperrt.

Daten-Bitrate

Diese Liste zeigt alle Daten-Bitraten in der Datenbank an, die auf der gewählten Clock-Frequenz basieren.

Um eine neue Daten-Bitraten zu erstellen, wählen Sie in der Liste Bitraten-Preset zunächst entweder den Eintrag Keiner, oder erstellen Sie einen benutzerdefinierten Preset. Anschließend klicken Sie auf die Schaltfläche [image] unterhalb der Liste. Nun können Sie in der Tabelle im unteren Bereich des Dialogfensters in der Zeile Daten und in den Spalten Bitrate und Sample-Punkt die gewünschten Werte eingeben, oder auch die einzelnen Parameter (Prescaler / TSEG1 / TSEG2 / SJW) manuell anpassen. Falls Sie einen Wert für die Bitrate eingeben, der nicht realisierbar ist, öffnet sich ein Hinweisfenster, das den errechneten nächstmöglichen Wert vorgeschlägt.

Über die Schaltfläche [image] in der Zeile der Tabelle können Sie eine Auswahlliste mit möglichen Parameter-Kombinationen öffnen, die alle zur selben Daten-Bitrate aber zu verschiedenen Sample-Punkten führen können.

Um eine Bitrate zu löschen, wählen Sie die Bitrate in der Liste aus und klicken Sie auf die Schaltfläche [image] unterhalb der Liste. Beachten Sie, dass nur benutzerdefinierte Bitraten gelöscht werden können.

Solange ein vordefinierter Preset ausgewählt ist, ist die Liste Daten-Bitrate für die Auswahl und Bearbeitung gesperrt.

Hinweis

Bei der Kombination von Nominal- und Datenbitrate zu Presets sollten die Werte der Prescaler für Nominal- und Datenbitrate identisch sein, um einen störungsfreien Betrieb zu gewährleisten.